Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
configuration
/
fields
curl --request POST \ --url https://app.aiinsurance.io/api/external/companies/{companyId}/configuration/fields \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "fieldDefinition": { "className": "InputField", "key": "policyState", "path": "policyState" }, "entityName": "policies" } '
{ "id": "550e8400-e29b-41d4-a716-446655440100" }

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Request body for creating a configuration field

fieldDefinition
object
required

Field definition specifying the field's type, key, and configuration

entityName
enum<string>
required

The entity type to associate this field with

Available options:
events,
insureds,
policies

Response

Configuration field created successfully

id
string<uuid>

The ID of the created configuration field